> ## Documentation Index
> Fetch the complete documentation index at: https://docs.powerdrill.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List data sources

> Lists data sources contained in the specified dataset.



## OpenAPI

````yaml get /v1/team/datasets/{datasetId}/datasources
openapi: 3.0.1
info:
  title: Team Open API
  description: ''
  version: 1.0.0
servers:
  - url: https://ai.data.cloud/api
    description: 体验环境
security: []
tags:
  - name: Session
  - name: Dataset
  - name: Data source
  - name: File
  - name: Job
paths:
  /v1/team/datasets/{datasetId}/datasources:
    get:
      tags:
        - Data source
      summary: List data sources
      description: Lists data sources contained in the specified dataset.
      parameters:
        - name: datasetId
          in: path
          description: The dataset ID.
          required: true
          schema:
            type: string
        - name: pageNumber
          in: query
          description: >-
            The number of pages to display. If not specified, the default value
            `1` will be used.
          required: false
          example: 0
          schema:
            type: integer
        - name: pageSize
          in: query
          description: >-
            The number of items on a single page. If not specified, the default
            value `10` will be used.
          required: false
          example: 0
          schema:
            type: integer
        - name: status
          in: query
          description: >-
            The status of data sources to list. Possible values are:

            - `invalid`: Awaiting processing.

            - `synching`: Currently processing.

            - `synched`: Successfully synchronized.

            If not specified, data sources in any status will be returned.

            Multiple statuses can be specified in a comma-separated list, and
            data sources matching any will be displayed.
          required: false
          example: ''
          schema:
            type: string
            enum:
              - synching
              - invalid
              - synched
        - name: x-pd-external-trace-id
          in: header
          description: The external trace ID. The length ranges from 0 to 128 characters.
          required: false
          example: ''
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    description: >-
                      Status code. **0** indicates that the operation is
                      successful. Otherwise, the operation fails. Possible error
                      codes include: 

                      - 100: Bad request. 

                      - 201: Request frequency limit.

                      - 9999: Internal error. 

                      - 100001: Invalid operation. 
                  data:
                    type: object
                    properties:
                      total:
                        type: integer
                        description: The total number of pages.
                      pageSize:
                        type: integer
                        description: The number of items displayed per page.
                      pageNumber:
                        type: integer
                        description: The number of pages displayed.
                      records:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              description: >-
                                The data source ID, which uniquely identifies
                                the data source.
                            datasetId:
                              type: string
                              description: The dataset ID.
                            name:
                              type: string
                              description: The data source name.
                            fileName:
                              type: string
                              description: The file name.
                            type:
                              type: string
                              description: >-
                                The type of the data source, which is fixed to
                                **FILE**.
                              enum:
                                - FILE
                            status:
                              type: string
                              description: >-
                                The processing status of the data source.
                                Possible values are:

                                - `invalid`: Awaiting processing.

                                - `synching`: Currently processing.

                                - `synched`: Successfully synchronized.
                              enum:
                                - synching
                                - synched
                                - invalid
                          required:
                            - id
                            - datasetId
                            - name
                            - fileName
                            - type
                            - status
                    required:
                      - total
                      - pageSize
                      - pageNumber
                      - records
                required:
                  - data
                  - code
              examples:
                '1':
                  summary: Success example
                  value:
                    code: 0
                    data:
                      total: 1
                      pageSize: 10
                      pageNumber: 1
                      records:
                        - id: datasource-cadsgfsdagasgadsg
                          datasetId: dataset-dagasdgasgasg
                          name: test.csv
                          fileName: test.csv
                          type: FILE
                          status: pending
          headers:
            x-pd-trace-id:
              example: ''
              required: true
              description: The trace ID of Powerdrill.
              schema:
                type: string
      deprecated: false
      security:
        - apikey-header-x-pd-api-key: []
components:
  securitySchemes:
    apikey-header-x-pd-api-key:
      type: apiKey
      in: header
      name: x-pd-api-key

````